Subject: Re: Should ‘guix import pypi’ get dependencies from pyproject files?

From: Ludovic Courtès <[email-masked]>
Date: Mon, 16 Dec 2024 10:00:00 +0100

Hello,

Lars-Dominik Braun <[email-masked]> skribis:

> attached patches allow parsing the standardized pyproject.toml fields
> for dependencies. This won’t work for poetry (we need a different
> version parser for that), but it’s a start.

Excellent!  The code LGTM (I can’t really tell about the Python side of
things).

> +               (list (guess-requirements-from-pyproject.toml dir)
> +                     (guess-requirements-from-requires.txt dir))))

It looks like we still take info from ‘requirements.txt’; is
‘pyproject.toml’ insufficient?

Anyhow, if others on the Python team approve, I guess you can go ahead
and push it.

Thanks,
Ludo’.